# Nonlinear polarimetry in Python – pynlopol

## Overview
pynlopol is a Python library for nonlinear microscopy and polarimetry.

## Quick start
pynlopol requires Python v3.6 or later. To run the scripts from the command
line, Python has to be included in the system path.

Install pynlopol:
`python -m pip install pynlopol`

Your Python folder should now contain a PIPO analysis script under Scripts:
`fit_pipo_img.py`

and some test data under test_data:
`RTT v1_4 PIPO - 11_51_23_.221_.dat.zip`

Dragging the ZIP archive should start an example fitting routine.

## Demo
A video showing pynlopol installation and a demonstration of a rat-tail tendon SHG PIPO dataset fit. The video is slightly outdated, the package is called _pynolpol_ and is hosted on _test.pypi_.

https://github.com/lukaskontenis/pynlopol/assets/3004611/1e09f3dd-66de-4fac-b040-85d6ce02e57c

## Contact

Contact: Lukas Kontenis, dse.ssd@gmail.com

Copyright 2015-2023 Lukas Kontenis
